Package com.google.android.exoplayer2.testutil

## Interface MediaPeriodAsserts.FilterableManifestMediaPeriodFactory<T extends FilterableManifest<T>>

- Type Parameters:
    `T` - The type of `FilterableManifest`.
  Enclosing class:
    MediaPeriodAsserts

      public static interface MediaPeriodAsserts.FilterableManifestMediaPeriodFactory<T extends FilterableManifest<T>>

  Interface to create media periods for testing based on a `FilterableManifest`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaPeriod` | `createMediaPeriod​(T manifest, int periodIndex)` | Returns media period based on the provided filterable manifest.

- - ### Method Detail

    - #### createMediaPeriod

          MediaPeriod createMediaPeriod​(T manifest,
                                        int periodIndex)

      Returns media period based on the provided filterable manifest.